Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IPointFieldGeo

    java.lang.Object
      igeo.IFieldGeo
          igeo.IPointFieldGeo

All Implemented Interfaces:
  I3DFieldI, IFieldI

Direct Known Subclasses:
  IAttractorGeo, IPointCurlFieldGeo

    public class IPointFieldGeo

extends IFieldGeo
implements I3DFieldI

3D vector filed defined by a point.

Author:
  Satoru Sugihara

Nested Class Summary

Nested classes/interfaces inherited from class igeo.IFieldGeo
`IFieldGeo.Decay`

Field Summary
`IVecI` | `dir`
`IVecI` | `pos`

Fields inherited from class igeo.IFieldGeo
`bidirectional, constantIntensity, decay, intensity, threshold`

Constructor Summary
`IPointFieldGeo(IVecI p, IVecI d)`

Method Summary
`void` | `del()`
`IVec` | `dir()`
`IPointFieldGeo` | `gauss(double threshold)` alias of gaussianDecay
`IPointFieldGeo` | `gaussian(double threshold)` alias of gaussianDecay
`IPointFieldGeo` | `gaussianDecay(double threshold)` set Gaussian decay; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).
`IVecI` | `get(IVecI v)` get 3D vector field value
`IVecI` | `get(IVecI pos, IVecI vel)` get 3D vector field value
`IVecI` | `getForce(IVecI v, IVecI orig)` get original field value out of curve parameter u
`IVecI` | `getForce(IVecI pos, IVecI vel, IVecI orig)` get original field value out of curve parameter u
`IPointFieldGeo` | `intensity(double i)` set output intensity
`IPointFieldGeo` | `linear(double threshold)` alias of linearDecay
`IPointFieldGeo` | `linearDecay(double threshold)` set linear decay; When distance is equal to threshold, output is zero.
`IPointFieldGeo` | `noDecay()` set no decay
`IVec` | `pos()`
`IPointFieldGeo` | `threshold(double t)` set decay threshold

Methods inherited from class igeo.IFieldGeo
`bidirectional, constantIntensity, decay, intensity, threshold`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface igeo.IFieldI
`bidirectional, constantIntensity, intensity, threshold`

Field Detail

### pos

    public IVecI pos

### dir

    public IVecI dir

Constructor Detail

### IPointFieldGeo

    public IPointFieldGeo(IVecI p,
                          IVecI d)

Method Detail

### getForce

    public IVecI getForce(IVecI v,
                          IVecI orig)

  get original field value out of curve parameter u

### getForce

    public IVecI getForce(IVecI pos,
                          IVecI vel,
                          IVecI orig)

  get original field value out of curve parameter u

### get

    public IVecI get(IVecI v)

  get 3D vector field value

  Specified by:
    `get` in interface `I3DFieldI`
  Specified by:
    `get` in interface `IFieldI`

### get

    public IVecI get(IVecI pos,
                     IVecI vel)

  get 3D vector field value

  Specified by:
    `get` in interface `I3DFieldI`
  Specified by:
    `get` in interface `IFieldI`

### pos

    public IVec pos()

### dir

    public IVec dir()

### noDecay

    public IPointFieldGeo noDecay()

  set no decay

  Specified by:
    `noDecay` in interface `IFieldI`
  Overrides:
    `noDecay` in class `IFieldGeo`

### linearDecay

    public IPointFieldGeo linearDecay(double threshold)

  set linear decay; When distance is equal to threshold, output is zero.

  Specified by:
    `linearDecay` in interface `IFieldI`
  Overrides:
    `linearDecay` in class `IFieldGeo`

### linear

    public IPointFieldGeo linear(double threshold)

  Description copied from class: `IFieldGeo`
  alias of linearDecay

  Specified by:
    `linear` in interface `IFieldI`
  Overrides:
    `linear` in class `IFieldGeo`

### gaussianDecay

    public IPointFieldGeo gaussianDecay(double threshold)

  set Gaussian decay; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).

  Specified by:
    `gaussianDecay` in interface `IFieldI`
  Overrides:
    `gaussianDecay` in class `IFieldGeo`

### gaussian

    public IPointFieldGeo gaussian(double threshold)

  Description copied from class: `IFieldGeo`
  alias of gaussianDecay

  Specified by:
    `gaussian` in interface `IFieldI`
  Overrides:
    `gaussian` in class `IFieldGeo`

### gauss

    public IPointFieldGeo gauss(double threshold)

  Description copied from class: `IFieldGeo`
  alias of gaussianDecay

  Specified by:
    `gauss` in interface `IFieldI`
  Overrides:
    `gauss` in class `IFieldGeo`

### threshold

    public IPointFieldGeo threshold(double t)

  Description copied from class: `IFieldGeo`
  set decay threshold

  Specified by:
    `threshold` in interface `IFieldI`
  Overrides:
    `threshold` in class `IFieldGeo`

### intensity

    public IPointFieldGeo intensity(double i)

  Description copied from class: `IFieldGeo`
  set output intensity

  Specified by:
    `intensity` in interface `IFieldI`
  Overrides:
    `intensity` in class `IFieldGeo`

### del

    public void del()

  Specified by:
    `del` in interface `IFieldI`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD